Subject: git-push sent too many objects

From: Mark Jason Dominus <[email-masked]>
Date: Tue, 17 Apr 2012 12:53:27 -0400

I had a master ref, pointing to commit 231e284, which I branched to
make a "coupon" ref.  My remote, "origin" had a copy of commit 
231e284.

I modified one file and committed it on "coupon", yielding commit
03b6489. Then I pushed coupon to origin.  I expected that git-push
would send about five objects, but instead it reported sending 1,315.

Command output is pasted at http://nopaste.info/a866bb00e0.html .
You can verify that:

1. I pushed only coupon, not any other ref.
2. origin already had a copy of coupon's predecessor commit, 231e284.
3. 03b6489 was identical to 231e284 except for changes in one file.
4. I was not doing anything obviously strange.

What happened here?  Why did git-push send 1,315 objects instead of 5?

Mark Jason Dominus 	  			                 [email-masked]